Subject: Re: linux-next: manual merge of the drm-misc tree with the drm-intel tree

From: Daniel Vetter <[email-masked]>
Date: Tue, 3 May 2016 09:54:55 +0200

On Tue, May 03, 2016 at 01:24:12PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the drm-misc tree got a conflict in:
> 
>   drivers/gpu/drm/i915/intel_display.c
> 
> between commits:
> 
>   f7e5838bb37d ("drm/i915: Simplify reset_counter handling during atomic modesetting")
> 
> from the drm-intel tree and commit:
> 
>   81072bfd13f2 ("drm/i915: Rename async to nonblock.")
> 
> from the drm-misc tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Reviewed-by: Daniel Vetter <[email-masked]>

I kinda wonder whether there's some way we could share these conflict
resolutions among various trees. At least one really valuable part of
doing my own drm-intel-nightly integration tree is that I can soak merges
for a few days before I bake them in for eternity ...

Topic for KS I guess?

Cheers, Daniel

> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/gpu/drm/i915/intel_display.c
> index ff60241b1f76,5d29b838d8d7..000000000000
> --- a/drivers/gpu/drm/i915/intel_display.c
> +++ b/drivers/gpu/drm/i915/intel_display.c
> @@@ -13462,9 -13414,12 +13462,9 @@@ static int intel_atomic_prepare_commit(
>   		return ret;
>   
>   	ret = drm_atomic_helper_prepare_planes(dev, state);
>  -	if (!ret && !nonblock && !i915_reset_in_progress(&dev_priv->gpu_error)) {
>  -		u32 reset_counter;
>  -
>  -		reset_counter = atomic_read(&dev_priv->gpu_error.reset_counter);
>  -		mutex_unlock(&dev->struct_mutex);
>  +	mutex_unlock(&dev->struct_mutex);
>   
> - 	if (!ret && !async) {
> ++	if (!ret && !nonblock) {
>   		for_each_plane_in_state(state, plane, plane_state, i) {
>   			struct intel_plane_state *intel_plane_state =
>   				to_intel_plane_state(plane_state);

-- 
Daniel Vetter
Software Engineer, Intel Corporation
http://blog.ffwll.ch
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel